This device isn't eligible for requested build.

Discussion in 'iPad Tips, Help and Troubleshooting' started by anonymous12, May 25, 2012.

  1. anonymous12 macrumors member

    Joined:
    Apr 22, 2011
    #1
    So I have the iPad 3rd generation 16GB Wifi and it runs on iOS 5.1. I have NEVER jailbroken this device and when I try to update it I get the error "This device isn't eligible for requested build." I heard that this usually happens to jailbroken devices but mine isn't even jailbroken. Is there any way I can fix it? I tried to restore my iPad through iTunes but it won't allow me to do that either.
     
  2. shyam09 macrumors 68000

    shyam09

    Joined:
    Oct 31, 2010
    #2
    uhh i believe you need to run iOS 5.1.1, it doesn't work on anything else.

    try updating your iPad firmware to 5.1.1, and try again:


    Here's the site,
    http://greenpois0n.com/

    look in the top right for links to download based on platform (you need to use a mac / windows / linux computer)

    these links should open up a URL with "sites.google..."

    And finally, here are steps provided by fellow MacRumors: iMoo!
    http://forums.macrumors.com/showpost.php?p=14914809&postcount=18
     

Share This Page